### Method

# GLib VariantType hash

since: 2.24

#### Declaration

    guint
    g_variant_type_hash (
      gconstpointer type
    )

#### Description

Hashes `type`.

The argument type of `type` is only #gconstpointer to allow use with `GHashTable` without function pointer casting. A valid `GVariantType` must be provided.

Available since: 2.24

#### Return value

Type: `guint`

The hash value

Since 2.24